Skip to main content
Snapdocs Developers
Getting StartedeCloseNotary ConnectQuality ControleVault
GuidesAPI Ref
Authentication⇩
POSTGenerate a JWT bearer token
QC API⇩
Packages
GETGet presigned upload URLGETDownload classified signed documentsPOSTUpload documents to reviewPOSTUpload loan data to reviewPOSTCreate a new packageGETGet package by UUIDGETDownload QC results and documents
Subscriptions
GETGet all the subscriptionsPOSTCreate a subscriptionDELETEDelete a subscriptionPOSTAdd events to a subscriptionDELETEDelete events from a subscription
Reference
GETList loan data fieldsGETList document types

QC API

  • GET /qc/packages/{uuid}/documents/upload-url — Get presigned upload URL
  • GET /qc/packages/{uuid}/documents — Download classified signed documents
  • POST /qc/packages/{uuid}/documents — Upload documents to review
  • POST /qc/packages/{uuid}/loan-data — Upload loan data to review
  • POST /qc/packages — Create a new package
  • GET /qc/packages/{uuid} — Get package by UUID
  • GET /qc/packages/{uuid}/reports — Download QC results and documents
  • GET /subscriptions — Get all the subscriptions
  • POST /subscriptions — Create a subscription
  • DELETE /subscriptions/{id} — Delete a subscription
  • POST /subscriptions/{id}/events — Add events to a subscription
  • DELETE /subscriptions/{id}/events — Delete events from a subscription
  • GET /loan-data-fields — List loan data fields
  • GET /document-types — List document types